<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class VerifySetadIp
{
    /**
     * Handle an incoming request.
     *
     * @param Closure(Request): (Response) $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if ($request->ip() == config('globalVariables.SETAD_IP')) {
            return $next($request);
        }

        abort(Response::HTTP_FORBIDDEN);
    }
}
